Bug 131823 - UI: Blue background color for footer is preselected under certain circumstances
Summary: UI: Blue background color for footer is preselected under certain circumstances
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Header-Footer Area-Fill-Tab
  Show dependency treegraph
 
Reported: 2020-04-02 11:29 UTC by Telesto
Modified: 2020-09-06 20:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Both None and Color are active (37.45 KB, image/png)
2020-06-08 13:46 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-04-02 11:29:41 UTC
Description:
UI: Blue background color for footer is preselected under certain circumstances

Steps to Reproduce:
1. Open Writer
2. Click at the bottom of the page. Blue footer bar appears, click add footer
3. Format -> Page Styles -> Footer (tab) -> More Button -> Area tab
None is selected (dashes), but color is active.
4. Press OK, OK

Actual Results:
Blue background

Expected Results:
No background


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 4501a0ba623ad61c5a4e0b807da2e96f0e4ce82c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Xisco Faulí 2020-04-02 12:32:44 UTC
Not reproducible in

Version: 7.0.0.0.alpha0+
Build ID: 169a10f0e4680814145b668c6320be04038d7a89
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Color is selected, thus the expected behaviour
Comment 2 Xisco Faulí 2020-04-02 12:36:08 UTC
Same in

Version: 7.0.0.0.alpha0+
Build ID: 169a10f0e4680814145b668c6320be04038d7a89
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Color is active,thus tab shows the color information. why would 'no background' be the expected behaviour. Just click on None and no color will be applied.
Closing as RESOLVED NOTABUG
Comment 3 Telesto 2020-04-02 12:44:56 UTC
(In reply to Xisco Faulí from comment #2)
> Same in
> 
> Version: 7.0.0.0.alpha0+
> Build ID: 169a10f0e4680814145b668c6320be04038d7a89
> CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
> Locale: en-US (en_US.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> Color is active,thus tab shows the color information. why would 'no
> background' be the expected behaviour. Just click on None and no color will
> be applied.
> Closing as RESOLVED NOTABUG

1. How can the 'color' button be active, without the footer having a background color set by default?

2. Hoover at the footer (blue footer button appears). Click on the arrow (menu expands) -> Select borders & backgrounds -> None is pre-selected (as what I would expect). So there is at least an inconsistency
Comment 4 Dieter 2020-04-08 11:20:04 UTC
I agree with Xisco (If you press OK you take the colour from New), but I think there is a bug, but a little different

Steps to reproduce:

1. Open Writer
2. Format => Page Style => Footer (tab)
3. Footer on
4. More Button => Area tab => Colour (Active is "black" = none color; Setting for new is blue) => Cancel
5. Click at the bottom of the page. Blue footer bar appears, click add footer
6. Format -> Page Styles -> Footer (tab)
7. More Button -> Area tab => Colour

Result: Active is now blue (same as new)
Expected result: should be "black" (like above)
Comment 5 Xisco Faulí 2020-05-11 14:04:46 UTC
Adding UX team
Comment 6 Heiko Tietze 2020-06-08 13:46:19 UTC
Created attachment 161765 [details]
Both None and Color are active

I can follow Telesto's description. 

New > Format > Page > Footer > [on] > More... = None
Header/Footer widget > + > Page > Footer > [on] > More... = None/Color
(same for Header)

Expectation is only None is selected.